$(document).ready(function() {
	//focus sur le 1er champ
	document.forms[0].prenom.focus();
	
	// A la soumission du formulaire
	$('form').submit(function() {
		var valid = true;
	
	if($('#prenom').val()=='') {
		$('#prenom').next(".error").fadeIn().text("Veuillez indiquer votre prénom");
		valid=false;
	} else {
		$('#prenom').next(".error").fadeOut();
	}
	
	if($('#nom').val()=='') {
		$('#nom').next(".error").fadeIn().text("Veuillez indiquer votre nom");
		valid=false;
	} else {
		$('#nom').next(".error").fadeOut();
	}	
	
	if($('#email').val()=='') {
		$('#email').next(".error").fadeIn().text("Veuillez indiquer votre email");
		valid=false;
	} else {
		$('#email').next(".error").fadeOut();
	}
	
	if($('#pays').val()=='') {
		$("#pays").next(".error").fadeIn().text("Veuillez choisir un pays");
		valid=false;
	} else {
		$('#pays').next(".error").fadeOut();
	}
	
	var genre = $('input:radio[name="genre"]:checked').length;
	if (genre==0) {
		$('#genre').next(".error").fadeIn().text("Veuillez préciser votre civilité");
		valid=false;
	} else {
		$('#genre').next(".error").fadeOut();
	}
	
	var compet = $('#competences input:checked').length;
	if(compet == 0) {
		$('#competences').next(".error").fadeIn().text("Veuillez choisir des compétences");
		valid=false;
	} else {
		$('#competences').next(".error").fadeOut();
	}
	
	if($('#commentaires').val='') {
		$('#commentaires').next(".error").fadeIn().text("Veuillez saisir votre message");
		valid=false;
	} else {
		$('#commentaires').next(".error").fadeOut();
	}

	return valid;
	});
	
// A la frappe	
	$("#prenom").keyup(function() {
		if($("#prenom").val().length>=2) {
			$("#prenom").css("border-color","#00ff00").next(".error").fadeOut();
			valid=true;
		}
	});
	$("#nom").keyup(function() {
		if($("#nom").val().length>=3) {
			$("#nom").css("border-color","#00ff00").next(".error").fadeOut();
			valid=true;
		}
	});	
	
	$("#email").keyup(function() {
		var re=/^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
		
		if($('#email').val()=='' || re.test($('#email').val())) {
			$("#email").css("border-color","#00ff00").next(".error").fadeOut();
			valid=true;
		}else {
		$("#email").next(".error").fadeIn().text("Veuillez indiquer un mail valide");
		valid=false;
		}	
	});

	$('#pays').click(function() {
		if($("#pays").val().length>1) {
			$("#pays").css("border-color","#00ff00").next(".error").fadeOut();
			valid=true;
		}
	});
	
	$("#genre").change(function() {
		if (genre==0) {
			$('#genre').next(".error").fadeIn().text("Veuillez préciser votre civilité");
			valid=false;
		} else {
			$("#genre").next(".error").fadeOut();
			valid=true;
		}
	});

	$('#competences input').click(function() {
			$("#competences").next(".error").fadeOut();
		valid=true;			
	});
	
	$('#commentaires').keyup(function(){
		if($("#commentaires").val().length>10) {
			$("#commentaires").css("border-color","#00ff00").next(".error").fadeOut();
			valid=true;
		}
		return valid;
	});
	
});